revert php to later version

Discussion in 'Installation/Configuration' started by kwickcut, Dec 23, 2014.

  1. kwickcut

    kwickcut Member

    I am currently running php version 5.3.2 and Ihave the need to revert it to 5.0 how would I do this on a running server


    kwick
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

  3. kwickcut

    kwickcut Member

    thank you till for the reply

    i am currently running ubuntu 10.04 server. when i try to use this how to http://www.howtoforge.com/how-to-us...and-fastcgi-with-ispconfig-3-ubuntu-12.04-lts it fails in some areas even though i changes the php version to the latest stable version of 5.6.4.. i am guessing because its for 12.04 and not 10.04?

    so instead of this
    Code:
    mkdir /opt/php-5.3.22
    i used this
    Code:
    mkdir /opt/php-5.6.4
    now being that i am running 10.04 server i could just run to upgrade to precise and i think that is 12.04? or is there more to it then that?
    Code:
    do-release-upgrade 
    now i did upgrade ispconfig to the latest 3.0.5.4 so i am good on that end just need to get the php going thanks again

    kwick
     
    Last edited: Dec 25, 2014
  4. kwickcut

    kwickcut Member

    i know everyone is busy with the site upgrades and so on.. I figured i should bump this so it does not get lost..

    thanks


    kwick
     
  5. till

    till Super Moderator Staff Member ISPConfig Developer

    The more likely reasn is the php version. php 5.6 needs other dependencies and config switches then 5.3. You can try this guide instead:

    https://www.howtoforge.com/how-to-b...e-and-apcu-for-ispconfig-3-on-debian-7-wheezy

    Doing a ubuntu release upgrade is possible as well, but it is a lot of work as ubuntu 12.04 comes with apache 2.4, which uses a different config syntax. so you might have to fix some website config after such an upgrade. So better try the option with the custom php version first.
     
  6. kwickcut

    kwickcut Member

    i am having an issue when i get to this command
    apt-get build-dep php5

    [email protected]:/usr/local/src/php5-build/php-5.6.0# apt-get build-dep php5
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Could not open file /var/lib/apt/lists/de.archive.ubuntu.com_ubuntu_dists_karmic_restricted_source_Sources - open (2: No such file or directory)

    so when this happened i did the following because i dont know another way

    cd /root
    then
    cd /var/lib/apt/lists

    once in the directory i tried to create the missing file

    touch de.archive.ubuntu.com_ubuntu_dists_karmic_restricted_source_Sources

    i know that i have made the file because once that was done i was able to do the following

    vi /de.archive.ubuntu.com_ubuntu_dists_karmic_main_source_Sources

    and the file opened .. i then closed it

    :q

    then i changed directories
    cd /usr/local/src/php5-build/php-5.6.0/

    then run command

    apt-get build-dep php5
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Could not open file /var/lib/apt/lists/de.archive.ubuntu.com_ubuntu_dists_karmic_restricted_source_Sources - open (2: No such file or directory)

    i also tried to check the permissions of the file and it can not be found..
    /var/lib/apt/lists# ls -l de.archive.ubuntu.com_ubuntu_dists_karmic_restricted_source_Sources
    ls: cannot access de.archive.ubuntu.com_ubuntu_dists_karmic_restricted_source_Sources: No such file or directory

    /var/lib/apt/lists# stat [de.archive.ubuntu.com_ubuntu_dists_karmic_restricted_source_Sources]
    stat: cannot stat `[de.archive.ubuntu.com_ubuntu_dists_karmic_restricted_source_Sources]': No such file or directory


    but i can vi the file.

    what am i doing wrong?
     
  7. kwickcut

    kwickcut Member

  8. till

    till Super Moderator Staff Member ISPConfig Developer

    Please rebuild the lists files with:
    Code:
    sudo rm /var/lib/apt/lists/* -vf
    sudo apt-get update
     
  9. kwickcut

    kwickcut Member

    i ran these commands and i am still getting the same error

    [email protected]:/usr/local/src/php5-build/php-5.6.0# apt-get build-dep php5
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Could not open file /var/lib/apt/lists/de.archive.ubuntu.com_ubuntu_dists_karmic_universe_source_Sources - open (2: No such file or directory)
    [email protected]:/usr/local/src/php5-build/php-5.6.0#
     

Share This Page